
play.http.secret.key="qrzrCr;PbI5tzSmTZ:BT3OCiSpG=pF7T0<;TDB^wKo8M]I_UdyeEbNm?lPFILJVG"
play.i18n.langs=[ "en" ]


play.modules {
  enabled += "modules.AppModule"
  enabled += "tasks.TrackTasksModule"
  enabled += "tasks.GpsWritingTasksModule"
  enabled += "tasks.TableTasksModule"
}

play.evolutions {
  enabled = true
  autoApply = true
}

slick {
  dbs {
    default {
      profile = "slick.jdbc.PostgresProfile$"
      db {
        driver = "org.postgresql.Driver"
        url = "jdbc:postgresql://192.168.2.239:5432/fms_gps"
        user = "postgres"
        password = "password"
        connectionTimeout = "10000"
        numThreads = 10 // evolutions is 20
        maxConnections = 10 // evolutions is 5*numThread

      }
    }
  }
}

# Filter
play.filters {
  enabled += "play.filters.cors.CORSFilter"
  enabled += "play.filters.hosts.AllowedHostsFilter"
  cors {
    pathPrefixes = ["/"]
    allowedHttpMethods = ["POST", "GET", "PUT", "DELETE", "OPTIONS"]
    allowedHttpHeaders = ["Origin", "X-Requested-With", "Content-Type", "Accept", "Referer", "User-Agent", "X-Auth-Token"]
    supportsCredentials = false
  }
  hosts {
    allowed = ["."]
  }
}

play.http {
  forwarded.trustedProxies = ["0.0.0.0/0"]
  parser.maxDiskBuffer = 209715200 //200M default
  parser.maxMemoryBuffer = 2M
}

kafka {
  server.address="192.168.2.239:9092"
  gps {
    topic = "fleet-api-gps"
    insert.timeout = 300
    batchReceive = 100
    consumer.groupID = "fleet-gps-api-consumer-write2db"
  }
}

kafka.gps.insert.timeout = 300

compress.devices {
  count = 1
  currentValue = 0
}
